	$input = Get-Content C:\temp\input.txt
	$row = $null
	$ServiceOwner_RelClass = Get-SCSMRelationshipClass System.ConfigItemOwnedByUser$
	$ServiceResp_RelClass = Get-SCSMRelationshipClass System.ConfigItemServicedByUser$

	Foreach ($row in $input)
	{
		$data = $null
		$service_displayname = $null
		$owner_user = $null
		$resp_user = $null

		$data = $row.Split(";")
		$service_displayname = $data[0]
		$owner_user = $data[1]
		$resp_user = $data[2]

		$service = $null
		$row2 = $null
		$ServiceOwner = $null
		$ServiceResp =  $null

		#Check array for all columns
		If ($data.Length -eq 3)
		{
			$service = get-scsmobject (get-scsmclass System.Service$) -Filter "Displayname -eq '$service_displayname'"
			
			#Service not found?
			If ($service -eq $null)
			{
				Write-Host "$service_displayname not found!" -ForegroundColor Red
				$service_displayname | Out-File c:\temp\failed.txt -Append}
			
			#Service found!
			Else
			{
				$service_displayname + " = " + $service.Displayname
				$Service.Displayname | out-file c:\temp\updated.txt -Append
				$ServiceOwner = Get-SCSMObject -Class (Get-SCSMClass Microsoft.AD.User$) -filter "Username -eq '$owner_user'"
				$ServiceResp = Get-SCSMObject -Class (Get-SCSMClass Microsoft.AD.User$) -filter "Username -eq '$resp_user'"
				New-SCSMRelationshipObject -Relationship $ServiceOwner_RelClass -Source $Service -Target $ServiceOwner -Bulk
				New-SCSMRelationshipObject -Relationship $ServiceResp_RelClass -Source $Service -Target $ServiceResp -Bulk
			}
		}
	}


